var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['../../bower_components/underscore/underscore', 'views/item-view', 'text!templates/app_ban.tmpl'], function(_, ItemView, template) {
  var AppBan;
  AppBan = (function(superClass) {
    extend(AppBan, superClass);

    function AppBan() {
      return AppBan.__super__.constructor.apply(this, arguments);
    }

    AppBan.prototype.className = 'l-gap';

    AppBan.prototype.template = template;

    AppBan.prototype.events = {
      'click .js-reauth': 'reauth'
    };

    AppBan.prototype.initialize = function(options) {
      AppBan.__super__.initialize.call(this, options);
      return $('#startup-loader').hide();
    };

    AppBan.prototype.reauth = function(event) {
      return app.screens.main('auto_login');
    };

    AppBan.prototype.onDomRefresh = function(options) {
      app.hideLoader();
      return this.$el.closest('body').addClass('hide-short-info');
    };

    return AppBan;

  })(ItemView);
  return AppBan;
});
