var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['../../bower_components/underscore/underscore', 'views/item-view', 'text!templates/app_locked.tmpl'], function(_, ItemView, template) {
  var AppLockedView;
  AppLockedView = (function(superClass) {
    extend(AppLockedView, superClass);

    function AppLockedView() {
      return AppLockedView.__super__.constructor.apply(this, arguments);
    }

    AppLockedView.prototype.className = 'l-gap';

    AppLockedView.prototype.template = template;

    AppLockedView.prototype.events = {
      'click .js-reauth': 'reauth'
    };

    AppLockedView.prototype.initialize = function(options) {
      AppLockedView.__super__.initialize.call(this, options);
      return $('#startup-loader').hide();
    };

    AppLockedView.prototype.reauth = function(event) {
      app.vent.trigger('app:locked:reauth');
      return app.screens.main('auto_login');
    };

    AppLockedView.prototype.onDomRefresh = function(options) {
      app.hideLoader();
      return this.$el.closest('body').addClass('hide-short-info');
    };

    return AppLockedView;

  })(ItemView);
  return AppLockedView;
});
