var bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; },
  extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['../../bower_components/underscore/underscore', 'views/item-view', 'text!templates/app_need_reauth.tmpl'], function(_, ItemView, template) {
  var AppNeedReauthView;
  AppNeedReauthView = (function(superClass) {
    extend(AppNeedReauthView, superClass);

    function AppNeedReauthView() {
      this.initialize = bind(this.initialize, this);
      return AppNeedReauthView.__super__.constructor.apply(this, arguments);
    }

    AppNeedReauthView.prototype.className = 'js-modal';

    AppNeedReauthView.prototype.template = template;

    AppNeedReauthView.prototype.events = {
      'click .js-reauth': 'reauth'
    };

    AppNeedReauthView.prototype.initialize = function(options1) {
      this.options = options1;
      AppNeedReauthView.__super__.initialize.call(this, this.options);
      $('#startup-loader').hide();
      return app.hideLoader();
    };

    AppNeedReauthView.prototype.reauth = function(event) {
      return app.screens.main('auto_login');
    };

    AppNeedReauthView.prototype.onDomRefresh = function(options) {
      return this.$el.closest('body').addClass('hide-short-info');
    };

    return AppNeedReauthView;

  })(ItemView);
  return AppNeedReauthView;
});
