define(['app', 'views/item-view', 'underscore', 'text!templates/common/double-back-popup.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .js-double-back': 'doubleBack'
    },
    doubleBack: function(event) {
      this.lockUI();
      return _(4).times(function() {
        return app.screens.back();
      });
    }
  });
});
