var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/common/registration-bonus.tmpl'], function(app, ItemView, _, template) {
  var RegistrationBonusPopup;
  RegistrationBonusPopup = (function(superClass) {
    extend(RegistrationBonusPopup, superClass);

    function RegistrationBonusPopup() {
      return RegistrationBonusPopup.__super__.constructor.apply(this, arguments);
    }

    RegistrationBonusPopup.prototype.template = template;

    RegistrationBonusPopup.prototype.data = {
      bonuses: 'user.registrationBonus'
    };

    RegistrationBonusPopup.prototype.events = {
      'click .js-apply': 'selectBonus'
    };

    RegistrationBonusPopup.prototype.selectBonus = function(event) {
      this.lockUI();
      app.server.user.addRegistrationBonus();
      return app.screens.back(this.options.backCallback);
    };

    RegistrationBonusPopup.prototype.onDomRefresh = function() {
      return this.$el.find('.c-popup').css('max-height', $(window).innerHeight() - 60);
    };

    return RegistrationBonusPopup;

  })(ItemView);
  return RegistrationBonusPopup;
});
