var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/common/select-dialog.tmpl'], function(app, ItemView, _, template) {
  var SelectDialogView;
  SelectDialogView = (function(superClass) {
    extend(SelectDialogView, superClass);

    function SelectDialogView() {
      return SelectDialogView.__super__.constructor.apply(this, arguments);
    }

    SelectDialogView.prototype.template = template;

    SelectDialogView.prototype.className = 'js-select-dialog-screen';

    SelectDialogView.prototype.required = ['collection', 'callback'];

    SelectDialogView.prototype.events = {
      'click .js-select': 'select'
    };

    SelectDialogView.prototype.select = function(event) {
      this.lockUI();
      this.options.callback(event.currentTarget.getAttribute('data-id'));
      return app.screens.back();
    };

    return SelectDialogView;

  })(ItemView);
  return SelectDialogView;
});
