var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/common/success-popup.tmpl'], function(app, ItemView, _, template) {
  var SuccessPopup;
  SuccessPopup = (function(superClass) {
    extend(SuccessPopup, superClass);

    function SuccessPopup() {
      return SuccessPopup.__super__.constructor.apply(this, arguments);
    }

    SuccessPopup.prototype.template = template;

    SuccessPopup.prototype.events = {
      'click .js-ok': 'confirm'
    };

    SuccessPopup.prototype.confirm = function() {
      this.lockUI();
      if (this.options.callback) {
        this.options.callback();
      }
      if (this.options.needReload === false) {
        return this.app.screens.back(null, {
          needReload: false
        });
      } else {
        return this.jsBack();
      }
    };

    return SuccessPopup;

  })(ItemView);
  return SuccessPopup;
});
