define([], function() {
  return function(selector, text, replacement) {

    /*
    		 * Helper function whitch replaces text in given selector
    		 * @param  {object} selector    
    		 * @param  {string} text        text to replace
    		 * @param  {string} replacement replacement text
    		 * @return text with replacement
     */
    var textReplacement;
    textReplacement = function(selector, text, replacement) {
      return selector.innerHTML = selector.innerHTML.replace(text, replacement);
    };
    return textReplacement(selector, text, replacement);
  };
});
