var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/maria/edit-bill.tmpl'], function(app, ItemView, _, template) {
  var EditComment;
  EditComment = (function(superClass) {
    extend(EditComment, superClass);

    function EditComment() {
      return EditComment.__super__.constructor.apply(this, arguments);
    }

    EditComment.prototype.template = template;

    EditComment.prototype.data = {
      bill: {
        pointer: 'cityHall.initiative',
        billId: function() {
          return this.options.billId;
        }
      }
    };

    EditComment.prototype.className = 'no-bg-image dont-reload';

    EditComment.prototype.events = {
      'click .js-save': 'saveChanges'
    };

    EditComment.prototype.saveChanges = function(event) {
      var amount, description;
      this.lockUI();
      amount = this.$el.find('.js-new-value').val();
      description = this.$el.find('.js-description').val();
      return app.server.cityHall.initiative.update({
        amount: amount,
        description: description,
        billId: this.options.billId,
        success: (function(_this) {
          return function(data) {
            return app.screens.back();
          };
        })(this),
        error: function(data) {
          return app.screens.modal('common/info-popup', {
            msg: data.setFlash[0].msg || app.tr("Something went wrong")
          }, app.screens.back());
        }
      });
    };

    return EditComment;

  })(ItemView);
  return EditComment;
});
