var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/maria/rebel_wars/agitation-popup.tmpl'], function(app, ItemView, _, template) {
  var AgitationPopup;
  AgitationPopup = (function(superClass) {
    extend(AgitationPopup, superClass);

    function AgitationPopup() {
      return AgitationPopup.__super__.constructor.apply(this, arguments);
    }

    AgitationPopup.prototype.template = template;

    AgitationPopup.prototype.required = ['msg', 'callback'];

    AgitationPopup.prototype.events = {
      'click .js-confirm': 'confirm',
      'click .js-tutor-back': 'cancel'
    };

    AgitationPopup.prototype.cancel = function() {
      console.log('CLICKED CANCEL', this.options);
      if (this.options.backCallback != null) {
        return this.options.backCallback(1);
      }
    };

    AgitationPopup.prototype.confirm = function() {
      this.lockUI();
      return this.options.callback(1);
    };

    return AgitationPopup;

  })(ItemView);
  return AgitationPopup;
});
