define(['app', 'views/item-view', 'underscore', 'text!templates/maria/technologies-step-2.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      tree: 'cityHall.evolutionTree'
    },
    events: {
      'click .js-evolution-info': 'showEvolutionInfo'
    },
    showEvolutionInfo: function(event) {
      var evolutionId;
      this.lockUI();
      evolutionId = event.currentTarget.getAttribute('data-evolution-id');
      return app.screens.dialog('maria/technologies-step-3', {
        evolutionId: evolutionId
      });
    }
  });
});
