var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/military-base/gangs-list.tmpl'], function(app, ItemView, _, template) {
  var GangsListView;
  GangsListView = (function(superClass) {
    extend(GangsListView, superClass);

    function GangsListView() {
      return GangsListView.__super__.constructor.apply(this, arguments);
    }

    GangsListView.prototype.template = template;

    GangsListView.prototype.className = 'military-layout dark-theme';

    GangsListView.prototype.events = {
      'click .js-band': 'onBandClick'
    };

    GangsListView.prototype.serializeData = function() {
      var data;
      data = GangsListView.__super__.serializeData.call(this);
      data.bands = this.options.bands;
      data.info = this.options.info;
      return data;
    };

    GangsListView.prototype.onBandClick = function(event) {
      var bandId;
      bandId = Number(event.currentTarget.dataset.id);
      if (this.options.onSelect) {
        this.options.onSelect(bandId);
      }
      return app.screens.back();
    };

    return GangsListView;

  })(ItemView);
  return GangsListView;
});
