define(['app', 'views/item-view', 'underscore', 'text!templates/military-base/pvp.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    className: 'military-layout dark-theme',
    data: {
      info: 'military.info',
      pvpInfo: 'military.pvp.info'
    },
    events: {
      'click .js-fight': 'fight'
    },
    fight: function() {
      this.lockUI();
      return app.screens.modal('military-base/pvp-search-popup');
    },

    /*
    			Center cloud
     */
    centerCloud: function() {},
    onDomRefresh: function() {
      return this.centerCloud();
    }
  });
});
