var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/settings/email.tmpl'], function(app, ItemView, _, template) {
  var ChangeEmailView;
  ChangeEmailView = (function(superClass) {
    extend(ChangeEmailView, superClass);

    function ChangeEmailView() {
      return ChangeEmailView.__super__.constructor.apply(this, arguments);
    }

    ChangeEmailView.prototype.template = template;

    ChangeEmailView.prototype.className = 'no-bg-image';

    ChangeEmailView.prototype.data = {
      email: 'user.email'
    };

    ChangeEmailView.prototype.events = {
      'click .js-change-email': 'changeEmail'
    };

    ChangeEmailView.prototype.changeEmail = function(event) {
      var newEmail;
      this.lockUI();
      newEmail = this.$('.js-new-email').val();
      return app.server.user.changeEmail({
        email: newEmail,
        success: (function(_this) {
          return function(data) {
            return app.screens.modal('common/info-popup', {
              msg: data.setFlash[0].msg || app.tr("Activation request sent to new email")
            }, app.screens.back());
          };
        })(this),
        error: (function(_this) {
          return function(data) {
            return app.screens.modal('common/info-popup', {
              msg: data.setFlash[0].msg || app.tr("Something went wrong")
            });
          };
        })(this)
      });
    };

    return ChangeEmailView;

  })(ItemView);
  return ChangeEmailView;
});
