var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/shop/fail-popup.tmpl'], function(app, ItemView, _, template) {
  var ShopFailPopup;
  ShopFailPopup = (function(superClass) {
    extend(ShopFailPopup, superClass);

    function ShopFailPopup() {
      return ShopFailPopup.__super__.constructor.apply(this, arguments);
    }

    ShopFailPopup.prototype.template = template;

    ShopFailPopup.prototype.required = ['msg'];

    ShopFailPopup.prototype.events = {
      'click .js-refresh': 'refresh'
    };

    ShopFailPopup.prototype._lastRefresh = null;

    ShopFailPopup.prototype._refreshTimeout = 30000;

    ShopFailPopup.prototype.refresh = function(event) {
      var now;
      now = (new Date()).getTime();
      if (this._lastRefresh && (this._lastRefresh + this._refreshTimeout) > now) {
        return;
      }
      this._lastRefresh = now;
      this.app.paymentsService.refresh();
      return this._disableBtn(event.currentTarget);
    };

    ShopFailPopup.prototype._disableBtn = function(btn) {
      btn.disabled = true;
      btn.setAttribute('disabled', 'disabled');
      return setTimeout(function() {
        btn.disabled = false;
        return btn.removeAttribute('disabled');
      }, this._refreshTimeout);
    };

    return ShopFailPopup;

  })(ItemView);
  return ShopFailPopup;
});
