define(['app', 'views/item-view', 'underscore', 'text!templates/trade-center/items-buy-grouped-maria.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      'items': {
        pointer: 'tradeCenter.itemTypesList',
        category: function() {
          return this.options.category;
        }
      }
    },
    events: {
      'click .js-items-lot': 'addBuyout'
    },
    addBuyout: function(event) {
      var itemTypeId, itemsCollection;
      this.lockUI();
      itemTypeId = event.currentTarget.getAttribute('data-item-id');
      itemsCollection = new Backbone.Collection(this._data.items.exchanges);
      return app.screens.dialog('trade-center/purchase-item-maria', {
        model: itemsCollection.get(itemTypeId)
      });
    }
  });
});
