define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_FIGHT_CLOSE_RANK_POPUP_MSG'),
    _controlSelector: '.js-tutor-rank-popup-close',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 7);
      this.removePulsate().click();
      return app.screens.once('view:ready:military-base/combat-skills-popup', function() {
        return app.modalDialog.screen('tutor/fight-tutor/fight-rank-points-popup');
      });
    }
  });
});
