var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var FightEndView;
  FightEndView = (function(superClass) {
    extend(FightEndView, superClass);

    function FightEndView() {
      return FightEndView.__super__.constructor.apply(this, arguments);
    }

    FightEndView.prototype._controlSelector = '.js-tutor-close-fight-log';

    FightEndView.prototype.className = 'o-tutor fight-end';

    FightEndView.prototype.tutor_message = app.tr('TUTOR_FIGHT_END_MSG');

    FightEndView.prototype.initialize = function(options) {
      this.options = options;
      FightEndView.__super__.initialize.call(this, this.options);
      return $(window).on('scroll.fight-log', function(event) {
        event.preventDefault();
        return $('[id="military-base/fight-log-popup"] .u-ov-a.c-popup__height').scrollTop($(this).scrollTop());
      });
    };

    FightEndView.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 7);
      this.removePulsate().click();
      app.screens.once('view:ready:military-base/new-rank-popup', function() {
        return app.modalDialog.screen('tutor/fight-tutor/fight-close-rank-popup');
      });
      return app.screens.once('view:ready:common/injury-popup', function() {
        return app.modalDialog.screen('tutor/fight-tutor/fight-close-trauma-popup');
      });
    };

    return FightEndView;

  })(PulsateView);
  return FightEndView;
});
