define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_show_quest: 'tutorial_gangfight',
    _controlSelector: '.js-quest-info[data-quest-cid=tutorial_gangfight]',
    nextScreen: function(event) {
      var adjustEvent;
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 14);
      if (app.adjustEnabled) {
        adjustEvent = new app.adjust.AdjustEvent("zg86rs");
        adjustEvent.addPartnerParameter('event_key', 'zg86rs');
        app.adjust.Adjust.trackEvent(adjustEvent);
      }
      app.screens.once('view:ready:quests/quest', function() {
        return app.modalDialog.screen('tutor/get-award-3');
      });
      return this.removePulsate().click();
    }
  });
});
