var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.className = 'o-tutor quests-1';

    Tutorial.prototype.tutor_message = app.tr('TUTOR_JOB_10_MSG');

    Tutorial.prototype._controlSelector = '.js-tutor-quest';

    Tutorial.prototype._wrapperSelector = '.js-menu';

    Tutorial.prototype._menuGroup = 'information';

    Tutorial.prototype.nextScreen = function(event) {
      var questId;
      if (app.config.googleAnalyticsEnabled && app.ga) {
        app.ga('send', 'tutorpageview', {
          page: '/scr/job/job-done'
        });
      }
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 10);
      $(this._controlSelector).removeClass('c-pulsate js-next-screen');
      app.menu.closeGroup('information');
      app.menu.close();
      questId = $(this._controlSelector).data('quest-id');
      app.screens.once('view:ready:quests/quest', function() {
        return app.modalDialog.screen('tutor/job-tutor/job-11');
      });
      return app.screens.dialog('quests/quest', {
        questId: questId
      });
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
