var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.template = template;

    Tutorial.prototype.tutor_message = app.tr('TUTOR_JOB_8_MSG');

    Tutorial.prototype._controlSelector = 'button.js-back';

    Tutorial.prototype.className = 'o-tutor job-6';

    Tutorial.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 8);
      $(this._controlSelector).removeClass('c-pulsate');
      app.tutorial.setSkipTutorial(true);
      console.log('Set listen: ');
      app.screens.once('view:ready:job', function() {
        return app.modalDialog.screen('tutor/job-tutor/job-9');
      });
      return app.screens.main('job');
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
