define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView) {
  return PulsateView.extend({
    _controlSelector: '.js-tutor-news',
    _wrapperSelector: '.js-menu',
    _menuGroup: 'communication',
    nextScreen: function(event) {
      $(this._controlSelector).removeClass('c-pulsate').click();
      return app.screens.once('view:ready:news', function() {
        app.tutorial.completeTutorial(app.tutorial.TUTORIAL_NEWS);
        $('.js-tutor-news').removeClass('c-pulsate');
        $('.js-tutor-news-latest').click();
        $('.js-tutor-news-latest').removeClass('c-pulsate');
        return app.modalDialog.screen('tutor/final-tutor/final-1');
      });
    }
  });
});
