define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_PORT_2_MSG'),
    _controlSelector: '.js-tutor-port',
    _wrapperSelector: '.js-menu',
    nextScreen: function(event) {
      $('.js-tutor-port').removeClass('c-pulsate');
      app.menu.close();
      app.screens.once('view:ready', function() {
        return app.modalDialog.screen('tutor/port-3');
      });
      return app.screens.main('port');
    }
  });
});
