var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'text!templates/tutor.tmpl'], function(app, ItemView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.template = template;

    Tutorial.prototype.className = 'o-tutor quests-1';

    Tutorial.prototype.events = {
      'click .o-click-area': 'nextScreen'
    };

    Tutorial.prototype.initialize = function(options) {
      options.message = app.tr('tutor-skipped');
      options.message2 = app.tr('Tap anywhere to continue');
      return Tutorial.__super__.initialize.call(this, options);
    };

    Tutorial.prototype.nextScreen = function(event) {
      app.modalDialog.close();
      $('.c-skip-tutor-btn').hide();
      $('.c-pulsate').removeClass('c-pulsate js-next-screen');
      return app.chat.start();
    };

    return Tutorial;

  })(ItemView);
  return Tutorial;
});
