var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var TutorView;
  TutorView = (function(superClass) {
    extend(TutorView, superClass);

    function TutorView() {
      return TutorView.__super__.constructor.apply(this, arguments);
    }

    TutorView.prototype._controlSelector = '.js-tutor-quests';

    TutorView.prototype._wrapperSelector = '.js-menu';

    TutorView.prototype.className = 'o-tutor entrance-4';

    TutorView.prototype.nextScreen = function(event) {
      var adjustEvent;
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 14);
      $('.js-tutor-quests').removeClass('c-pulsate').click();
      app.menu.closeGroup('information');
      if (app.adjustEnabled) {
        adjustEvent = new app.adjust.AdjustEvent("76wbtr");
        adjustEvent.addPartnerParameter('event_key', '76wbtr');
        app.adjust.Adjust.trackEvent(adjustEvent);
      }
      return app.screens.once('view:ready:quests', function() {
        return app.modalDialog.screen('tutor/trade/get-award-receive');
      });
    };

    return TutorView;

  })(PulsateView);
  return TutorView;
});
