define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  return PulsateView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function() {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 8);
      app.screens.closeCurrentModals();
      return app.modalDialog.screen('tutor/trade/trade-center-9');
    },
    onBeforeRender: function() {
      return this.options.message = app.tr('Good choice! Now you need to equip your item!');
    }
  });
});
