define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      $('.js-tutor-energy').removeClass('c-pulsate').click();
      return app.modalDialog.screen('tutor/train-5');
    },
    onBeforeRender: function(event) {
      this.options.message = app.tr('From the spent energy depends on how much it will grow the selected attribute.');
      return $('.js-tutor-energy').addClass('c-pulsate');
    }
  });
});
