define(['app', 'views/item-view', 'underscore', 'text!templates/airport.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      flights: 'airport.flights'
    },
    events: {
      'click .js-select-flight': 'selectFlight'
    },
    selectFlight: function(event) {
      var cityId, fromCityId, ref;
      this.lockUI();
      cityId = event.currentTarget.getAttribute('data-city-id');
      fromCityId = (ref = this._data.flights) != null ? ref.city_id : void 0;
      return app.screens.modal('airport/popup', {
        cityId: cityId,
        fromCityId: fromCityId
      });
    },

    /*
    			Center cloud
     */
    centerCloud: function() {},
    onDomRefresh: function() {
      return this.centerCloud();
    }
  });
});
