var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/business/company-overview.tmpl'], function(app, ItemView, _, template) {
  var CompanyOverviewView;
  CompanyOverviewView = (function(superClass) {
    extend(CompanyOverviewView, superClass);

    function CompanyOverviewView() {
      return CompanyOverviewView.__super__.constructor.apply(this, arguments);
    }

    CompanyOverviewView.prototype.template = template;

    CompanyOverviewView.prototype.data = {
      companyInfo: {
        pointer: 'business.companyShortInfo',
        companyId: function() {
          return this.options.companyId;
        }
      }
    };

    CompanyOverviewView.prototype.events = {
      'click .js-corp-info': 'corporationInfo',
      'click .js-back': 'jsBack'
    };

    CompanyOverviewView.prototype.jsBack = function() {
      return app.screens.back(null, {
        needReload: false
      }, 'refresh:company', +this._data.options.companyId);
    };

    CompanyOverviewView.prototype.corporationInfo = function(event) {
      var corporationId;
      this.lockUI();
      corporationId = event.currentTarget.getAttribute('data-corporation-id');
      return app.screens.dialog('business/corporation-overview', {
        corporationId: corporationId
      });
    };

    return CompanyOverviewView;

  })(ItemView);
  return CompanyOverviewView;
});
