var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/item-view', 'underscore', 'text!templates/common/select-dialog.tmpl'], function(app, ItemView, _, template) {
  var SelectDialogCBView;
  SelectDialogCBView = (function(superClass) {
    extend(SelectDialogCBView, superClass);

    function SelectDialogCBView() {
      return SelectDialogCBView.__super__.constructor.apply(this, arguments);
    }

    SelectDialogCBView.prototype.template = template;

    SelectDialogCBView.prototype.className = 'js-select-dialog-screen';

    SelectDialogCBView.prototype.required = ['collection', 'callback'];

    SelectDialogCBView.prototype.events = {
      'click .js-select': 'select'
    };

    SelectDialogCBView.prototype.select = function(event) {
      this.lockUI();
      return this.options.callback(event.currentTarget.getAttribute('data-id'));
    };

    return SelectDialogCBView;

  })(ItemView);
  return SelectDialogCBView;
});
