define(['app', 'views/item-view', 'underscore', 'text!templates/maria/companies.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      companies: 'cityHall.companies',
      userStatus: 'user.status'
    },
    events: {
      'click .js-goto-company': 'gotoCompany'
    },
    gotoCompany: function(event) {
      var companyId;
      this.lockUI();
      companyId = event.currentTarget.getAttribute('data-company-id');
      return app.screens.dialog('maria/company', {
        companyId: companyId
      });
    }
  });
});
