var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/common/select-dialog', 'underscore', 'text!templates/maria/select-area.tmpl', 'views/components/currency'], function(app, SelectDialog, _, template, formatCurrency) {
  var SelectAreaView;
  SelectAreaView = (function(superClass) {
    extend(SelectAreaView, superClass);

    function SelectAreaView() {
      return SelectAreaView.__super__.constructor.apply(this, arguments);
    }

    SelectAreaView.prototype.template = template;

    SelectAreaView.prototype.events = {
      'click .js-select-area': 'select'
    };

    SelectAreaView.prototype.select = function(event) {
      return SelectAreaView.__super__.select.call(this, event);
    };

    SelectAreaView.prototype.onDomRefresh = function() {
      return [].forEach.call(this.el.querySelectorAll('.js-currency'), function(el) {
        return el.innerHTML = formatCurrency(el.innerHTML);
      });
    };

    return SelectAreaView;

  })(SelectDialog);
  return SelectAreaView;
});
