define(['app', 'views/item-view', 'underscore', 'text!templates/maria/technologies.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      tree: 'cityHall.evolutionActive',
      effects: 'cityHall.effects',
      userStatus: 'user.status'
    },
    onBeforeRender: function() {
      var count, e, ef, eid, el, em, es, i, j, len, len1, ref, ref1, ref2, results;
      if (((ref = this._data) != null ? ref.effects : void 0) != null) {
        ref1 = ['effects'];
        results = [];
        for (i = 0, len = ref1.length; i < len; i++) {
          ef = ref1[i];
          if (!this._data.effects[ef]) {
            continue;
          }
          em = {};
          es = {};
          el = [];
          ref2 = this._data.effects[ef];
          for (j = 0, len1 = ref2.length; j < len1; j++) {
            e = ref2[j];
            em[e.Effect.id] = (em[e.Effect.id] || 0) + 1;
            es[e.Effect.id] = e.Effect;
          }
          for (eid in em) {
            count = em[eid];
            e = es[eid];
            e.count = count;
            el.push(e);
          }
          results.push(this._data.effects[ef] = el);
        }
        return results;
      }
    }
  });
});
