define(['underscore', 'views/item-view', 'text!templates/mayor-election/add.tmpl'], function(_, ItemView, template) {
  return ItemView.extend({
    template: template,
    className: 'election-layout',
    data: {
      info: 'cityHall.mayorElection.info'
    },
    events: {
      'click .js-add-candidate': 'add'
    },
    add: function(event) {
      this.lockUI();
      return app.server.cityHall.mayorElectionAddCandidate({
        success: function(data) {}
      });
    }
  });
});
