define(['app', 'views/item-view', 'underscore', 'text!templates/trade-center/lot-categories.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    data: {
      items: 'tradeCenter.availableItemGroups',
      business: 'tradeCenter.availableBusinessGroups'
    },
    events: {
      'click .js-items-category': 'gotoCategory'
    },
    gotoCategory: function(event) {
      var category;
      this.lockUI();
      category = event.currentTarget.getAttribute('data-category-id');
      return app.screens.dialog("trade-center/items-sell-grouped", {
        category: category
      });
    }
  });
});
