define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_INITIAL, 1);
      app.modalDialog.screen('tutor/entrance/entrance-2');
      return app.modalDialog.close();
    },
    onBeforeRender: function(event) {
      this.options.message = app.tr("Welcome to VirCities! In this city you will find many possibilities, but once you start exploring it.");
      return this.options.message2 = app.tr("Tap anywhere to continue");
    }
  });
});
