var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  var FightTutorialView;
  FightTutorialView = (function(superClass) {
    extend(FightTutorialView, superClass);

    function FightTutorialView() {
      return FightTutorialView.__super__.constructor.apply(this, arguments);
    }

    FightTutorialView.prototype.template = template;

    FightTutorialView.prototype._controlSelector = '.c-header__menu-button';

    FightTutorialView.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 12);
      app.screens.closeCurrentModals();
      $('.c-header__menu-button').removeClass('c-pulsate js-next-screen');
      return app.quests.whenQuestFinished('tutorial_gangfight').then(function() {
        return app.modalDialog.screen('tutor/fight-tutor/quests-fight-move');
      });
    };

    FightTutorialView.prototype.onBeforeRender = function(event) {
      return this.options.message = app.tr("fight-completed");
    };

    return FightTutorialView;

  })(PulsateView);
  return FightTutorialView;
});
