var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var FightLogView;
  FightLogView = (function(superClass) {
    extend(FightLogView, superClass);

    function FightLogView() {
      return FightLogView.__super__.constructor.apply(this, arguments);
    }

    FightLogView.prototype._controlSelector = '.js-goto-pve-log';

    FightLogView.prototype.tutor_message = app.tr('TUTOR_FIGHT_LOG_MSG');

    FightLogView.prototype.initialize = function(options) {
      this.options = options;
      FightLogView.__super__.initialize.call(this, this.options);
      return $(document).on('scroll.fight-log', '.o-click-area', function(event) {
        console.log(event);
        event.preventDefault();
        return $('[id="military-base/fight-log-popup"] .u-ov-a.c-popup__height').scrollTop($(this).scrollTop());
      });
    };

    FightLogView.prototype.nextScreen = function(event) {
      $(document).off('scroll.fight-log', '.o-click-area');
      app.tutorial.saveStep(app.tutorial.TUTORIAL_GANGFIGHT, 7);
      this.removePulsate().click();
      return app.screens.once('view:ready:military-base/fight-log-popup', function() {
        return app.modalDialog.screen('tutor/fight-tutor/fight-end');
      });
    };

    return FightLogView;

  })(PulsateView);
  return FightLogView;
});
