var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  var TutorialView;
  TutorialView = (function(superClass) {
    extend(TutorialView, superClass);

    function TutorialView() {
      return TutorialView.__super__.constructor.apply(this, arguments);
    }

    TutorialView.prototype._controlSelector = '.c-short-info__col--left';

    TutorialView.prototype.tutor_message = app.tr('You have injury! View profile for details.');

    TutorialView.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAUMA, 2);
      app.screens.closeCurrentModals();
      this.removePulsate();
      app.screens.once('view:ready:profile', function() {
        return app.modalDialog.screen('tutor/injury-3');
      });
      return app.screens.main('profile');
    };

    return TutorialView;

  })(PulsateView);
  return TutorialView;
});
