var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.template = template;

    Tutorial.prototype._controlSelector = '.js-goto-vacancies';

    Tutorial.prototype.initialize = function(options) {
      options.message = app.tr('tutor-job-about');
      return Tutorial.__super__.initialize.call(this, options);
    };

    Tutorial.prototype.nextScreen = function(event) {
      var selectorId;
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 4);
      $(this._controlSelector).removeClass('c-pulsate js-next-screen');
      selectorId = $(event.currentTarget).attr('data-tutor-selector-id');
      app.screens.once('view:ready:job/vacancies', function() {
        return app.modalDialog.screen('tutor/job-tutor/job-5');
      });
      return $(this._controlSelector + "[data-tutor-selector-id=" + selectorId + "]").click();
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
