var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.template = template;

    Tutorial.prototype._controlSelector = '.js-accept-vacancy:first';

    Tutorial.prototype._vacancySelector = '.js-accept-vacancy:first';

    Tutorial.prototype.className = 'o-tutor job-2';

    Tutorial.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 4);
      if (this.hasVacancies()) {
        return $(this._controlSelector).removeClass('c-pulsate').click();
      } else {
        return app.screens.back(function() {
          return app.modalDialog.screen('tutor/job-tutor/job-4');
        });
      }
    };

    Tutorial.prototype.hasVacancies = function() {
      return $(this._vacancySelector).length > 0;
    };

    Tutorial.prototype.onDomRefresh = function() {
      if (this.hasVacancies()) {
        this._controlSelector = this._vacancySelector;
      } else {
        this._controlSelector = 'div[id="job/vacancies"] .c-header__menu-button.js-back';
      }
      return Tutorial.__super__.onDomRefresh.call(this);
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
