var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.template = template;

    Tutorial.prototype.tutor_message = app.tr('TUTOR_JOB_6_MSG');

    Tutorial.prototype._controlSelector = '.js-work';

    Tutorial.prototype.className = 'o-tutor job-3';

    Tutorial.prototype.initialize = function(options) {
      Tutorial.__super__.initialize.call(this, options);
      return app.screens.current.setMaxEnergyLimit(10);
    };

    Tutorial.prototype.nextScreen = function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 6);
      $(this._controlSelector).removeClass('c-pulsate').click();
      return app.modalDialog.close();
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
