define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_JOB, 20);
      app.screens.closeCurrentModals();
      return app.modalDialog.screen('tutor/job-tutor/job-resign-2');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr('tutor-job-resign');
    }
  });
});
