define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function(event) {
      app.screens.closeCurrentModals();
      return app.modalDialog.screen('tutor/job-tutor/job-1');
    },
    onBeforeRender: function(event) {
      return this.options.message = app.tr("Well, we need something to start. Let's find you a job. To do this, open the panel on the left.");
    }
  });
});
