define(['app', 'views/item-view', 'underscore', 'text!templates/tutor.tmpl'], function(app, ItemView, _, template) {
  return ItemView.extend({
    template: template,
    events: {
      'click .o-click-area': 'nextScreen'
    },
    nextScreen: function() {
      app.screens.closeCurrentModals();
      return app.modalDialog.screen('tutor/port-2');
    },
    onBeforeRender: function() {
      return this.options.message = app.tr("Go to the port to fish.");
    }
  });
});
