var extend = function(child, parent) { for (var key in parent) { if (hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; },
  hasProp = {}.hasOwnProperty;

define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView, template) {
  var Tutorial;
  Tutorial = (function(superClass) {
    extend(Tutorial, superClass);

    function Tutorial() {
      return Tutorial.__super__.constructor.apply(this, arguments);
    }

    Tutorial.prototype.className = 'o-tutor quests-1';

    Tutorial.prototype.template = template;

    Tutorial.prototype.tutor_show_quest = 'tutorial_job';

    Tutorial.prototype._controlSelector = '.js-quest-info[data-quest-cid=tutorial_job]';

    Tutorial.prototype.tutor_message = app.tr('TUTOR_QUESTS_1_MSG');

    Tutorial.prototype.nextScreen = function() {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_QUEST, 1);
      app.screens.once('view:ready:quests/quest', function() {
        return app.modalDialog.screen('tutor/quests/quests-2');
      });
      return $(this._controlSelector).removeClass('c-pulsate').click();
    };

    return Tutorial;

  })(PulsateView);
  return Tutorial;
});
