define(['app', 'views/tutor/base-pulsate', 'text!templates/tutor/tutor-blank.tmpl'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_SPORT_4_MSG'),
    _controlSelector: '.js-tutor-stadium',
    _wrapperSelector: '.js-menu',
    _menuGroup: 'military',
    tutor_show_quest: 'tutorial_training',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRAINING, 4);
      $(this._controlSelector).removeClass('c-pulsate');
      app.menu.close();
      app.screens.main('stadium');
      return app.screens.once('view:ready:stadium', function() {
        return app.modalDialog.screen('tutor/sport-tutor/sport-5');
      });
    }
  });
});
