define(['app', 'views/tutor/base-pulsate', 'underscore'], function(app, PulsateView, _) {
  return PulsateView.extend({
    _itemId: 349,
    _controlSelector: null,
    onBeforeRender: function() {
      return this._controlSelector = $("div[data-item-type-id=" + this._itemId + "]").first().children();
    },
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 11);
      $(this._controlSelector).removeClass('c-pulsate').click();
      return app.screens.once('view:ready:inventory/popup', function() {
        return app.modalDialog.screen('tutor/trade/trade-center-12');
      });
    }
  });
});
