define(['app', 'views/tutor/base-pulsate'], function(app, PulsateView) {
  return PulsateView.extend({
    tutor_message: app.tr('TUTOR_TRADE_7_MSG'),
    _controlSelector: '.js-tutor-buy-button',
    nextScreen: function(event) {
      app.tutorial.saveStep(app.tutorial.TUTORIAL_TRADECENTER, 6);
      $(this._controlSelector).removeClass('c-pulsate');
      return $('.js-confirm').click();
    },
    onRender: function() {
      return setTimeout((function(_this) {
        return function() {
          return $(_this._controlSelector).addClass('c-pulsate');
        };
      })(this), 500);
    }
  });
});
